## rust-rav1e 0.7.1

=== debian/changelog ===
rust-rav1e (0.7.1-9) unstable; urgency=medium

  * Package rav1e 0.7.1 from crates.io using debcargo 2.7.6
  * debian/not-installed: ignore static library

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2025 21:31:22 +0100

rust-rav1e (0.7.1-8) unstable; urgency=medium

  * Package rav1e 0.7.1 from crates.io using debcargo 2.7.6
  * debian/control:
    - Set Source and Section
    - Bump Standards-Version
    - Add librust-semver-1+default-dev to Build-Depends (Closes: #1091573)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2025 18:58:52 +0100

rust-rav1e (0.7.1-7) unstable; urgency=medium

  * Team upload.
  * Package rav1e 0.7.1 from crates.io using debcargo 2.6.1
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Aug 2024 13:07:12 -0400

rust-rav1e (0.7.1-6) experimental; urgency=medium

  * Team upload
  * Package rav1e 0.7.1 from crates.io using debcargo 2.6.1
  * Update debian/control

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 24 Aug 2024 21:57:02 -0400

rust-rav1e (0.7.1-5) experimental; urgency=medium

  * Team upload
  * Package rav1e 0.7.1 from crates.io using debcargo 2.6.1
  * Build with rust-system-deps 7

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Aug 2024 07:00:37 -0400

rust-rav1e (0.7.1-4) unstable; urgency=medium

  * Package rav1e 0.7.1 from crates.io using debcargo 2.6.1
  * debian/patches: Temporarily increase version embedded in the filename
    (Closes: #1076381)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Jul 2024 23:03:01 +0200

rust-rav1e (0.7.1-3) unstable; urgency=medium

  * Package rav1e 0.7.1 from crates.io using debcargo 2.6.1
  * SONAME bump: librav1e0 -> librave1e0.7
    This "SONAME bump" is caused by changes in rust-cargo-c 0.9.26.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Jul 2024 21:49:55 +0200

rust-rav1e (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Package rav1e 0.7.1 from crates.io using debcargo 2.6.1
  * Bump librust-ivf-dev dependencies to (>= 0.1.3) to help Ubuntu's
    autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 17 Feb 2024 07:23:49 +0000

rust-rav1e (0.7.1-1) unstable; urgency=medium

  * Package rav1e 0.7.1 from crates.io using debcargo 2.6.1
  * debian/patches: Refresh for 0.7.1
    - Remove profiling feature
  * debian/control: Define Static-Built-Using for rav1e

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Feb 2024 17:36:19 +0100

rust-rav1e (0.6.6-7) unstable; urgency=medium

  * Team upload.
  * Package rav1e 0.6.6 from crates.io using debcargo 2.6.1
  * Really upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 18 Jan 2024 19:09:52 +0000

rust-rav1e (0.6.6-6) experimental; urgency=medium

  * Team upload.
  * Package rav1e 0.6.6 from crates.io using debcargo 2.6.1
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 18 Jan 2024 18:53:52 +0000

rust-rav1e (0.6.6-5) experimental; urgency=medium

  * Package rav1e 0.6.6 from crates.io using debcargo 2.6.1
  * Relax itertools dependency to ">= 0.10, < 1.0"
  * Relax toml dependency to ">= 0.7, < 1.0"
  * Add build-dependency for the toml crate, it looks like cargo cbuild
    needs it to be present, even though it isn't used by the default features.
    (Closes: #1060927)

  [ Alexander Kjäll ]
  * Team upload.
  * Package rav1e 0.6.6 from crates.io using debcargo 2.6.1
  * Upgrade toml to 0.7

 -- Peter Michael Green <plugwash@debian.org>  Thu, 18 Jan 2024 13:32:59 +0000

rust-rav1e (0.6.6-4) unstable; urgency=medium

  * Package rav1e 0.6.6 from crates.io using debcargo 2.6.1

  [ Peter Michael Green ]
  * Team upload.
  * Package rav1e 0.6.6 from crates.io using debcargo 2.6.0
  * Add +default to quickcheck build-dependency.
    + This doesn't matter in Debian right now, because currently quickcheck
      is built with collapsed features, but it's more correct and it did cause
      a build failure in raspbian.

  [ James McCoy ]
  * Relax assert_cmd dev-dependency to 2.0
  * Add Cargo.lock to debian/clean. (Closes: #1046755)
  * Fix paths for src/x86/filmgrain*.asm in debian/copyright

 -- James McCoy <jamessan@debian.org>  Thu, 23 Nov 2023 13:15:09 -0500
