## rust-rav1e 0.8.1

=== debian/changelog ===
rust-rav1e (0.8.1-6) unstable; urgency=medium

  * Team upload.
  * Package rav1e 0.8.1 from crates.io using debcargo 2.7.11
  * Relax dependency on fern.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 02 Nov 2025 06:32:30 +0000

rust-rav1e (0.8.1-5) unstable; urgency=high

  * Team upload
  * Package rav1e 0.8.1 from crates.io using debcargo 2.7.10
  * Build with rust-num-derive 0.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 1 Oct 2025 06:37:47 -0400

rust-rav1e (0.8.1-4) unstable; urgency=high

  * Team upload
  * Package rav1e 0.8.1 from crates.io using debcargo 2.7.10
  * Build with rust-num-derive 0.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 08:58:12 -0400

rust-rav1e (0.8.1-3) unstable; urgency=medium

  * Team upload
  * Package rav1e 0.8.1 from crates.io using debcargo 2.7.10
  * Build with rust-dav1d-sys 0.8

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Sep 2025 19:33:53 -0400

rust-rav1e (0.8.1-2) unstable; urgency=medium

  * Package rav1e 0.8.1 from crates.io using debcargo 2.7.10
  * debian/debcargo.toml: Mark more tests as flaky

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 22 Sep 2025 22:09:43 +0200

rust-rav1e (0.8.1-1) unstable; urgency=medium

  * Package rav1e 0.8.1 from crates.io using debcargo 2.7.10 (Closes: #1115786)
  * SONAME bump: librav1e0.7 -> librav1e0.8
  * debian/copyright: Update for new upstream version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Sep 2025 11:42:05 +0200
