=== debian/control ===
Source: rust-rav1e
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo-c:native (>= 0.9.29),
 librust-aom-sys-0.3-dev,
 librust-assert-cmd-2-dev,
 librust-dav1d-sys-0.8-dev,
 librust-interpolate-name-0.2-dev,
 librust-ivf-0.1-dev,
 librust-pretty-assertions-1-dev,
 librust-quickcheck-1-dev,
 librust-quickcheck-macros-1-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-big-array-0.5+default-dev (>= 0.5.1-~~),
 librust-semver-1+default-dev
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.83.0),
 libstd-rust-dev,
 librust-aligned-vec-0.6+default-dev,
 librust-arg-enum-proc-macro-0.3+default-dev (>= 0.3.4-~~),
 librust-arrayvec-0.7+default-dev,
 librust-av-metrics-0.9-dev (>= 0.9.1-~~),
 librust-av-scenechange-0.14-dev (>= 0.14.1-~~),
 librust-av1-grain-0.2+default-dev (>= 0.2.3-~~),
 librust-bitstream-io-4+default-dev (>= 4.1.0-~~),
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+color-dev (>= 4.5-~~),
 librust-clap-4+derive-dev (>= 4.5-~~),
 librust-clap-4+std-dev (>= 4.5-~~),
 librust-clap-4+wrap-help-dev (>= 4.5-~~),
 librust-clap-complete-4+default-dev (>= 4.5-~~),
 librust-console-0.15+default-dev,
 librust-fern+default-dev (<< 0.8-~~),
 librust-fern+default-dev (>= 0.6-~~),
 librust-itertools-0+default-dev (>= 0.12-~~),
 librust-ivf-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nasm-rs-0.3+default-dev,
 librust-nasm-rs-0.3+parallel-dev,
 librust-new-debug-unreachable-1+default-dev (>= 1.0.4-~~),
 librust-noop-proc-macro-0.3+default-dev,
 librust-num-derive-0.4+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-paste-1+default-dev,
 librust-rayon-1+default-dev,
 librust-scan-fmt-0.2-dev (>= 0.2.6-~~),
 librust-signal-hook-0.3+default-dev,
 librust-simd-helpers-0.1+default-dev,
 librust-thiserror-2+default-dev,
 librust-v-frame-0.3+default-dev (>= 0.3.7-~~),
 librust-y4m-0.8+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/rav1e]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/rav1e
Homepage: https://github.com/xiph/rav1e/
X-Cargo-Crate: rav1e
Rules-Requires-Root: no

Package: librust-rav1e-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-aligned-vec-0.6+default-dev,
 librust-aom-sys-0.3+default-dev (>= 0.3.3-~~),
 librust-arg-enum-proc-macro-0.3+default-dev (>= 0.3.4-~~),
 librust-arrayvec-0.7+default-dev,
 librust-av-metrics-0.9-dev (>= 0.9.1-~~),
 librust-av-scenechange-0.14-dev (>= 0.14.1-~~),
 librust-av1-grain-0.2+default-dev (>= 0.2.3-~~),
 librust-av1-grain-0.2+serialize-dev (>= 0.2.3-~~),
 librust-bitstream-io-4+default-dev (>= 4.1.0-~~),
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-cfg-if-1+default-dev,
 librust-clap-4+color-dev (>= 4.5-~~),
 librust-clap-4+derive-dev (>= 4.5-~~),
 librust-clap-4+std-dev (>= 4.5-~~),
 librust-clap-4+wrap-help-dev (>= 4.5-~~),
 librust-clap-complete-4+default-dev (>= 4.5-~~),
 librust-console-0.15+default-dev,
 librust-dav1d-sys-0.8+default-dev,
 librust-fern+default-dev (<< 0.8-~~),
 librust-fern+default-dev (>= 0.6-~~),
 librust-itertools-0+default-dev (>= 0.12-~~),
 librust-ivf-0.1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-nasm-rs-0.3+default-dev,
 librust-nasm-rs-0.3+parallel-dev,
 librust-new-debug-unreachable-1+default-dev (>= 1.0.4-~~),
 librust-noop-proc-macro-0.3+default-dev,
 librust-num-derive-0.4+default-dev,
 librust-num-traits-0.2+default-dev,
 librust-paste-1+default-dev,
 librust-rayon-1+default-dev,
 librust-scan-fmt-0.2-dev (>= 0.2.6-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-big-array-0.5+default-dev (>= 0.5.1-~~),
 librust-signal-hook-0.3+default-dev,
 librust-simd-helpers-0.1+default-dev,
 librust-thiserror-2+default-dev,
 librust-toml-0.8+default-dev,
 librust-v-frame-0.3+default-dev (>= 0.3.7-~~),
 librust-v-frame-0.3+serialize-dev (>= 0.3.7-~~),
 librust-y4m-0.8+default-dev
Provides:
 librust-rav1e+aom-sys-dev (= ${binary:Version}),
 librust-rav1e+asm-dev (= ${binary:Version}),
 librust-rav1e+av-metrics-dev (= ${binary:Version}),
 librust-rav1e+bench-dev (= ${binary:Version}),
 librust-rav1e+binaries-dev (= ${binary:Version}),
 librust-rav1e+capi-dev (= ${binary:Version}),
 librust-rav1e+cc-dev (= ${binary:Version}),
 librust-rav1e+clap-dev (= ${binary:Version}),
 librust-rav1e+clap-complete-dev (= ${binary:Version}),
 librust-rav1e+console-dev (= ${binary:Version}),
 librust-rav1e+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e+decode-test-dev (= ${binary:Version}),
 librust-rav1e+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e+default-dev (= ${binary:Version}),
 librust-rav1e+fern-dev (= ${binary:Version}),
 librust-rav1e+ivf-dev (= ${binary:Version}),
 librust-rav1e+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e+serde-dev (= ${binary:Version}),
 librust-rav1e+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e+serialize-dev (= ${binary:Version}),
 librust-rav1e+signal-hook-dev (= ${binary:Version}),
 librust-rav1e+signal-support-dev (= ${binary:Version}),
 librust-rav1e+threading-dev (= ${binary:Version}),
 librust-rav1e+toml-dev (= ${binary:Version}),
 librust-rav1e+y4m-dev (= ${binary:Version}),
 librust-rav1e-0-dev (= ${binary:Version}),
 librust-rav1e-0+aom-sys-dev (= ${binary:Version}),
 librust-rav1e-0+asm-dev (= ${binary:Version}),
 librust-rav1e-0+av-metrics-dev (= ${binary:Version}),
 librust-rav1e-0+bench-dev (= ${binary:Version}),
 librust-rav1e-0+binaries-dev (= ${binary:Version}),
 librust-rav1e-0+capi-dev (= ${binary:Version}),
 librust-rav1e-0+cc-dev (= ${binary:Version}),
 librust-rav1e-0+clap-dev (= ${binary:Version}),
 librust-rav1e-0+clap-complete-dev (= ${binary:Version}),
 librust-rav1e-0+console-dev (= ${binary:Version}),
 librust-rav1e-0+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e-0+decode-test-dev (= ${binary:Version}),
 librust-rav1e-0+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e-0+default-dev (= ${binary:Version}),
 librust-rav1e-0+fern-dev (= ${binary:Version}),
 librust-rav1e-0+ivf-dev (= ${binary:Version}),
 librust-rav1e-0+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e-0+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e-0+serde-dev (= ${binary:Version}),
 librust-rav1e-0+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e-0+serialize-dev (= ${binary:Version}),
 librust-rav1e-0+signal-hook-dev (= ${binary:Version}),
 librust-rav1e-0+signal-support-dev (= ${binary:Version}),
 librust-rav1e-0+threading-dev (= ${binary:Version}),
 librust-rav1e-0+toml-dev (= ${binary:Version}),
 librust-rav1e-0+y4m-dev (= ${binary:Version}),
 librust-rav1e-0.8-dev (= ${binary:Version}),
 librust-rav1e-0.8+aom-sys-dev (= ${binary:Version}),
 librust-rav1e-0.8+asm-dev (= ${binary:Version}),
 librust-rav1e-0.8+av-metrics-dev (= ${binary:Version}),
 librust-rav1e-0.8+bench-dev (= ${binary:Version}),
 librust-rav1e-0.8+binaries-dev (= ${binary:Version}),
 librust-rav1e-0.8+capi-dev (= ${binary:Version}),
 librust-rav1e-0.8+cc-dev (= ${binary:Version}),
 librust-rav1e-0.8+clap-dev (= ${binary:Version}),
 librust-rav1e-0.8+clap-complete-dev (= ${binary:Version}),
 librust-rav1e-0.8+console-dev (= ${binary:Version}),
 librust-rav1e-0.8+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e-0.8+decode-test-dev (= ${binary:Version}),
 librust-rav1e-0.8+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e-0.8+default-dev (= ${binary:Version}),
 librust-rav1e-0.8+fern-dev (= ${binary:Version}),
 librust-rav1e-0.8+ivf-dev (= ${binary:Version}),
 librust-rav1e-0.8+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e-0.8+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e-0.8+serde-dev (= ${binary:Version}),
 librust-rav1e-0.8+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e-0.8+serialize-dev (= ${binary:Version}),
 librust-rav1e-0.8+signal-hook-dev (= ${binary:Version}),
 librust-rav1e-0.8+signal-support-dev (= ${binary:Version}),
 librust-rav1e-0.8+threading-dev (= ${binary:Version}),
 librust-rav1e-0.8+toml-dev (= ${binary:Version}),
 librust-rav1e-0.8+y4m-dev (= ${binary:Version}),
 librust-rav1e-0.8.1-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+aom-sys-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+asm-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+av-metrics-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+bench-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+binaries-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+capi-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+cc-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+clap-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+clap-complete-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+console-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+dav1d-sys-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+decode-test-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+decode-test-dav1d-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+default-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+fern-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+ivf-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+nasm-rs-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+scan-fmt-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+serde-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+serde-big-array-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+serialize-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+signal-hook-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+signal-support-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+threading-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+toml-dev (= ${binary:Version}),
 librust-rav1e-0.8.1+y4m-dev (= ${binary:Version})
Description: Fastest and safest AV1 encoder - Rust source code
 Rust crate rav1e

Package: librav1e0.8
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fastest and safest AV1 encoder - shared library
 rav1e is a encoder for the AV1 video codec.
 .
 This package contains the shared library.

Package: librav1e-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 librav1e0.8 (= ${binary:Version}),
 ${misc:Depends}
Description: Fastest and safest AV1 encoder - development files
 rav1e is a encoder for the AV1 video codec.
 .
 This package contains the development files.

Package: rav1e
Architecture: any
Section: video
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Fastest and safest AV1 encoder - command line encoder
 rav1e is a encoder for the AV1 video codec. It supports the
 following features:
  * Intra, inter, and switch frames
  * 64x64 superblocks
  * 4x4 to 64x64 RDO-selected square and rectangular blocks
  * DC, H, V, Paeth, smooth, and all directional prediction modes
  * DCT, (FLIP-)ADST and identity transforms (up to 64x64, 16x16 and 32x32
    respectively)
  * 8-, 10- and 12-bit depth color
  * 4:2:0, 4:2:2 and 4:4:4 chroma sampling
  * 11 speed settings (0-10, exhaustive to near real-time)
  * Constant quantizer and target bitrate (single- and multi-pass) encoding
    modes
  * Still picture mode
 .
 This package contains the command line encoder.
