=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/rav1e
Matching-Pattern:  .*/crates/rav1e/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/rav1e-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
